代码拉取完成,页面将自动刷新
同步操作将从 src-anolis-os/systemd 强制同步,此操作会覆盖自 Fork 仓库以来所做的任何修改,且无法恢复!!!
确定后同步将在后台操作,完成时将刷新页面,请耐心等待。
From ad3e4a0f010c9497b01d89de54213af982f8afd2 Mon Sep 17 00:00:00 2001
From: Frantisek Sumsal <frantisek@sumsal.cz>
Date: Tue, 2 Jul 2019 09:52:45 +0200
Subject: [PATCH] test: skip the test on systems without NUMA support
(cherry picked from commit b030847163e9bd63d3dd6eec6ac7f336411faba6)
Related: #1808940
---
test/TEST-36-NUMAPOLICY/testsuite.sh | 13 ++++++++++++-
1 file changed, 12 insertions(+), 1 deletion(-)
diff --git a/test/TEST-36-NUMAPOLICY/testsuite.sh b/test/TEST-36-NUMAPOLICY/testsuite.sh
index daed8fcc1c..4b715d305a 100755
--- a/test/TEST-36-NUMAPOLICY/testsuite.sh
+++ b/test/TEST-36-NUMAPOLICY/testsuite.sh
@@ -123,7 +123,18 @@ systemctlCheckNUMAProperties() {
fi
}
-checkNUMA
+if ! checkNUMA; then
+ echo >&2 "NUMA is not supported on this machine, skipping the test"
+
+ # FIXME: add some sanity checks to verify systemd behaves correctly with
+ # NUMA disabled together with NUMAPolicy= and NUMAMask=
+
+ systemd-analyze log-level info
+ echo OK > /testok
+
+ exit 0
+fi
+
writeTestUnit
# Create systemd config drop-in directory
此处可能存在不合适展示的内容,页面不予展示。您可通过相关编辑功能自查并修改。
如您确认内容无涉及 不当用语 / 纯广告导流 / 暴力 / 低俗色情 / 侵权 / 盗版 / 虚假 / 无价值内容或违法国家有关法律法规的内容,可点击提交进行申诉,我们将尽快为您处理。